> For the complete documentation index, see [llms.txt](https://developer.tiledesk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.tiledesk.com/apis/get-messages-apis.md).

# Conversation Messages APIs tips

Discover how to get conversation messages using APIs. Real time synch is supported through webhooks

## Messages REST APIs

You can use the following APIs to get all messages relative to a conversation:

<https://developer.tiledesk.com/apis/rest-api/messages#get-the-messages-of-a-request-by-id>

You will get all the conversation messages.

> NOTE: You must remove all the messages where sender: “system” (highlighted below) if you only need messages from end-users/humans/chatbot

![](https://github-production-user-asset-6210df.s3.amazonaws.com/32564846/303445718-0d941d21-38f2-4b36-adb6-f67e5d38c5b7.png?X-Amz-Algorithm=AWS4-HMAC-SHA256\&X-Amz-Credential=AKIAVCODYLSA53PQK4ZA%2F20240208%2Fus-east-1%2Fs3%2Faws4_request\&X-Amz-Date=20240208T183915Z\&X-Amz-Expires=300\&X-Amz-Signature=e3c8ad2b2e8e76a3d7bab4474ccab01fadbe515afea5ecf2770513440224f3b3\&X-Amz-SignedHeaders=host\&actor_id=32564846\&key_id=0\&repo_id=142124434)

If you need only the attributes setup during the conversation you can use the following endpoint:

<https://api.tiledesk.com/v3/modules/tilebot/ext/parameters/requests/**REQUEST-ID>\*\*

Set in “Authentication” header’s field the JWT token of an Admin teammate of the project as in the following Postman example:

![](https://github-production-user-asset-6210df.s3.amazonaws.com/32564846/303435147-04791c6a-ae0d-45db-989d-b9373642e7b7.png?X-Amz-Algorithm=AWS4-HMAC-SHA256\&X-Amz-Credential=AKIAVCODYLSA53PQK4ZA%2F20240208%2Fus-east-1%2Fs3%2Faws4_request\&X-Amz-Date=20240208T184001Z\&X-Amz-Expires=300\&X-Amz-Signature=6c68e28d7da6f23e5384a3e0175908d9ebfb36d501b7222f771946a4a62939e2\&X-Amz-SignedHeaders=host\&actor_id=32564846\&key_id=0\&repo_id=142124434)

## Real-time messages

You can also get messages in real-time (for synchronisation purposes) configuring the provided Webhook event “Message.create” in *Project-> Developer zone*

![](https://github-production-user-asset-6210df.s3.amazonaws.com/32564846/303435371-41c4bc70-950a-4c3c-a657-b0ae20bce4bf.png?X-Amz-Algorithm=AWS4-HMAC-SHA256\&X-Amz-Credential=AKIAVCODYLSA53PQK4ZA%2F20240208%2Fus-east-1%2Fs3%2Faws4_request\&X-Amz-Date=20240208T184024Z\&X-Amz-Expires=300\&X-Amz-Signature=1d99be02d4777afc1b21f2231d4cd9fbb965634c06da3f948d0becf44c0a5bc0\&X-Amz-SignedHeaders=host\&actor_id=32564846\&key_id=0\&repo_id=142124434)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tiledesk.com/apis/get-messages-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
